DefaultConnectionTester (c3p0-0.9.5.5 API Documentation)
Date: 2019-12-11

com.mchange.v2.c3p0.impl

## Class DefaultConnectionTester

- java.lang.Object
- - com.mchange.v2.c3p0.AbstractConnectionTester
  - - com.mchange.v2.c3p0.impl.DefaultConnectionTester

- All Implemented Interfaces:
    ConnectionTester, FullQueryConnectionTester, QueryConnectionTester, UnifiedConnectionTester, java.io.Serializable

      public final class DefaultConnectionTester
      extends AbstractConnectionTester

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `DefaultConnectionTester.QuerylessTestRunner`

  - ### Field Summary

    - ### Fields inherited from interface com.mchange.v2.c3p0.UnifiedConnectionTester

      `CONNECTION_IS_INVALID, CONNECTION_IS_OKAY, DATABASE_IS_INVALID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultConnectionTester()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `activeCheckConnection(java.sql.Connection c, java.lang.String query, java.lang.Throwable[] rootCauseOutParamHolder)` Override, but remember that `preferredTestQuery` and `rootCauseOutParamHolder` can be null.
    `boolean` | `equals(java.lang.Object o)` Multiple testers that are of the same class and use the same criteria for determining fatality should test as equals().
    `int` | `hashCode()` keep consistent with equals()
    `static boolean` | `probableInvalidDb(java.sql.SQLException sqle)`
    `int` | `statusOnException(java.sql.Connection c, java.lang.Throwable t, java.lang.String query, java.lang.Throwable[] rootCauseOutParamHolder)` Override, but remember that `preferredTestQuery` and `rootCauseOutParamHolder` can be null.

    - ### Methods inherited from class com.mchange.v2.c3p0.AbstractConnectionTester

      `activeCheckConnection, activeCheckConnection, activeCheckConnection, statusOnException, statusOnException, statusOnException`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultConnectionTester

          public DefaultConnectionTester()

  - ### Method Detail

    - #### probableInvalidDb

          public static boolean probableInvalidDb(java.sql.SQLException sqle)

    - #### activeCheckConnection

          public int activeCheckConnection(java.sql.Connection c,
                                           java.lang.String query,
                                           java.lang.Throwable[] rootCauseOutParamHolder)

      Description copied from class: `AbstractConnectionTester`
      Override, but remember that `preferredTestQuery` and `rootCauseOutParamHolder` can be null.
      Specified by:
        `activeCheckConnection` in interface `UnifiedConnectionTester`
      Specified by:
        `activeCheckConnection` in class `AbstractConnectionTester`

    - #### statusOnException

          public int statusOnException(java.sql.Connection c,
                                       java.lang.Throwable t,
                                       java.lang.String query,
                                       java.lang.Throwable[] rootCauseOutParamHolder)

      Description copied from class: `AbstractConnectionTester`
      Override, but remember that `preferredTestQuery` and `rootCauseOutParamHolder` can be null.
      Specified by:
        `statusOnException` in interface `UnifiedConnectionTester`
      Specified by:
        `statusOnException` in class `AbstractConnectionTester`

    - #### equals

          public boolean equals(java.lang.Object o)

      Description copied from interface: `ConnectionTester`
      Multiple testers that are of the same class and use the same criteria for determining fatality should test as equals().
      Specified by:
        `equals` in interface `ConnectionTester`
      Specified by:
        `equals` in interface `UnifiedConnectionTester`
      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Description copied from interface: `ConnectionTester`
      keep consistent with equals()
      Specified by:
        `hashCode` in interface `ConnectionTester`
      Specified by:
        `hashCode` in interface `UnifiedConnectionTester`
      Overrides:
        `hashCode` in class `java.lang.Object`